/*
 * iosSlider - http://iosscripts.com/iosslider/
 * 
 * A jQuery Horizontal Slider for iPhone/iPad Safari 
 * This plugin turns any wide element into a touch enabled horizontal slider.
 * 
 * Copyright (c) 2012 Marc Whitbread
 * 
 * Version: v1.0.35 (08/17/2012)
 * Minimum requirements: jQuery v1.4+
 * 
 * Advanced requirements:
 * 1) jQuery bind() click event override on slide requires jQuery v1.6+
 *
 * Terms of use:
 *
 * 1) iosSlider is licensed under the Creative Commons – Attribution-NonCommercial 3.0 License.
 * 2) You may use iosSlider free for personal or non-profit purposes, without restriction. 
 *	  Attribution is not required but always appreciated. For commercial projects, you 
 *	  must purchase a license. You may download and play with the script before deciding to 
 *	  fully implement it in your project. Making sure you are satisfied, and knowing iosSlider 
 *	  is the right script for your project is paramount.
 * 3) You are not permitted to make the resources found on iosscripts.com available for 
 *    distribution elsewhere "as is" without prior consent. If you would like to feature 
 *    iosSlider on your site, please do not link directly to the resource zip files. Please 
 *    link to the appropriate page on iosscripts.com where users can find the download.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE. 
 */
 
(function(a){var V=0,I=0,M=0,F=0,D="ontouchstart"in window,ka="onorientationchange"in window,L=!1,O=!1,P=!1,Q="pointer",ca="pointer",W=[],R=[],da=[],ea=[],S=[],h=[],X=[],f={showScrollbar:function(e,c){e.scrollbarHide&&a("."+c).css({opacity:e.scrollbarOpacity,filter:"alpha(opacity:"+100*e.scrollbarOpacity+")"})},hideScrollbar:function(a,c,b,A,d,k,j,h,r,l){if(a.scrollbar&&a.scrollbarHide)for(var i=b;i<b+25;i++)c[c.length]=f.hideScrollbarIntervalTimer(10*i,A[b],(b+24-i)/24,d,k,j,h,r,l,a)},hideScrollbarInterval:function(e, c,b,A,d,k,j,h,r){F=-1*e/b*(k-j-h-d);f.setSliderOffset("."+A,F);a("."+A).css({opacity:r.scrollbarOpacity*c,filter:"alpha(opacity:"+100*r.scrollbarOpacity*c+")"})},slowScrollHorizontalInterval:function(e,c,b,A,d,k,j,x,r,l,i,u,z,p,m,s){newChildOffset=f.calcActiveOffset(s,c,0,i,b,k,z,l);if(newChildOffset!=h[m]&&""!=s.onSlideChange)s.onSlideChange(new f.args(s,e,a(e).children(":eq("+l+")"),l%z));h[m]=newChildOffset;c=Math.floor(c);f.setSliderOffset(e,c);s.scrollbar&&(F=Math.floor(-1*c/b*(j-x-d)),e=d-r, 0<=c?(e=d-r- -1*F,f.setSliderOffset(a("."+A),0)):(c<=-1*b+1&&(e=j-x-r-F),f.setSliderOffset(a("."+A),F)),a("."+A).css({width:e+"px"}))},slowScrollHorizontal:function(e,c,b,A,d,k,j,x,r,l,i,u,z,p,m,s,v,t){var k=[],g=f.getSliderOffset(e,"x"),y=0,n=25/1024*x;frictionCoefficient=t.frictionCoefficient;elasticFrictionCoefficient=t.elasticFrictionCoefficient;snapFrictionCoefficient=t.snapFrictionCoefficient;snapToChildren=t.snapToChildren;5<d&&snapToChildren?y=1:-5>d&&snapToChildren&&(y=-1);d<-1*n?d=-1*n: d>n&&(d=n);a(e)[0]!==a(v)[0]&&(y*=-1,d*=-2);n=f.getAnimationSteps(t,d,g,b,0,u);v=f.calcActiveOffset(t,n[n.length-1],y,u,b,x,p,h[z]);t.infiniteSlider&&(u[v]>u[s+1]+x&&(v+=s),u[v]<u[2*s-1]-x&&(v-=s));if(n[n.length-1]<u[v]&&0>y||n[n.length-1]>u[v]&&0<y||!snapToChildren)for(;1<d||-1>d;){d*=frictionCoefficient;g+=d;if(0<g||g<-1*b)d*=elasticFrictionCoefficient,g+=d;k[k.length]=g}if(snapToChildren||0<g||g<-1*b){for(;g<u[v]-0.5||g>u[v]+0.5;)g=(g-u[v])*snapFrictionCoefficient+u[v],k[k.length]=g;k[k.length]= u[v]}d=1;0!=k.length%2&&(d=0);t.infiniteSlider&&(v=v%s+s);for(g=0;g<c.length;g++)clearTimeout(c[g]);y=0;for(g=d;g<k.length;g+=2)if(t.infiniteSlider&&k[g]<u[2*s]+x&&(k[g]-=u[s]),g==d||1<Math.abs(k[g]-y)||g>=k.length-2)y=k[g],c[c.length]=f.slowScrollHorizontalIntervalTimer(10*g,e,k[g],b,A,j,x,r,l,i,v,u,m,p,s,z,t);c[c.length]=f.onSlideCompleteTimer(10*(g+1),t,e,a(e).children(":eq("+v+")"),v%p,z);S[z]=c;f.hideScrollbar(t,c,g,k,b,A,j,x,l,i)},onSlideComplete:function(e,c,b,A,d){if(W[d]!=A&&""!=e.onSlideComplete)e.onSlideComplete(new f.args(e, a(c),b,A));W[d]=A},getSliderOffset:function(e,c){var b=0,c="x"==c?4:5;D&&L?(b=a(e).css("-webkit-transform").split(","),b=parseInt(b[c],10)):b=parseInt(a(e).css("left"),10);return b},setSliderOffset:function(e,c){D&&L?a(e).css({webkitTransform:"matrix(1,0,0,1,"+c+",0)"}):a(e).css({left:c+"px"})},setBrowserInfo:function(){null!=navigator.userAgent.match("WebKit")?(L=!0,Q="-webkit-grab",ca="-webkit-grabbing"):null!=navigator.userAgent.match("Gecko")?(Q="move",ca="-moz-grabbing"):null!=navigator.userAgent.match("MSIE 7")? O=!0:null!=navigator.userAgent.match("MSIE 8")?P=!0:navigator.userAgent.match("MSIE 9")},getAnimationSteps:function(a,c,b,f,d){var k=[];for(1>=c&&0<=c?c=-2:-1<=c&&0>=c&&(c=2);1<c||-1>c;){c*=a.frictionCoefficient;b+=c;if(b>d||b<-1*f)c*=a.elasticFrictionCoefficient,b+=c;k[k.length]=b}activeChildOffset=0;return k},calcActiveOffset:function(a,c,b,f,d,k,j,h){for(var r=!1,a=[],l,d=0;d<f.length;d++)f[d]<=c&&f[d]>c-k&&(!r&&f[d]!=c&&(a[a.length]=f[d-1]),a[a.length]=f[d],r=!0);0==a.length&&(a[0]=f[f.length- 1]);for(d=r=0;d<a.length;d++){var i=Math.abs(c-a[d]);i<k&&(r=a[d],k=i)}for(d=0;d<f.length;d++)r==f[d]&&(l=d);0>b&&l%j==h%j?(l=h+1,l>=f.length&&(l=f.length-1)):0<b&&l%j==h%j&&(l=h-1,0>l&&(l=0));return l},changeSlide:function(e,c,b,h,d,k,j,x,r,l,i,u,z,p,m,s){f.autoSlidePause(u);for(var v=0;v<b.length;v++)clearTimeout(b[v]);var t=Math.ceil(s.autoSlideTransTimer/10)+1,g=f.getSliderOffset(c,"x");s.infiniteSlider&&g>i[m+1]+j&&e==2*m-2&&(g-=p);var v=i[e]-g,y=[],n;f.showScrollbar(s,d);for(var q=0;q<=t;q++)n= q,n/=t,n--,n=g+v*(Math.pow(n,5)+1),s.infiniteSlider&&(n>i[m+1]+j&&(n-=p),n<i[2*m-1]-j&&(n+=p)),y[y.length]=n;s.infiniteSlider&&(e=e%m+m);for(q=t=0;q<y.length;q++){s.infiniteSlider&&y[q]<i[2*m]+j&&(y[q]-=i[m]);if(0==q||1<Math.abs(y[q]-t)||q>=y.length-2)t=y[q],b[q]=f.slowScrollHorizontalIntervalTimer(10*(q+1),c,y[q],h,d,k,j,x,r,l,e,i,p,z,m,u,s);if(0==q&&""!=s.onSlideStart)s.onSlideStart(new f.args(s,c,a(c).children(":eq("+e+")"),e%z))}0!=v&&(b[b.length]=f.onSlideCompleteTimer(10*(q+1),s,c,a(c).children(":eq("+ e+")"),e%z,u));S[u]=b;f.hideScrollbar(s,b,q,y,h,d,k,j,r,l);f.autoSlide(c,b,h,d,k,j,x,r,l,i,u,z,p,m,s)},autoSlide:function(a,c,b,A,d,k,j,x,r,l,i,u,z,p,m){if(!m.autoSlide)return!1;f.autoSlidePause(i);R[i]=setTimeout(function(){!m.infiniteSlider&&h[i]>l.length-1&&(h[i]-=p);f.changeSlide(m.infiniteSlider?h[i]+1:(h[i]+1)%p,a,c,b,A,d,k,j,x,r,l,i,u,z,p,m);f.autoSlide(a,c,b,A,d,k,j,x,r,l,i,u,z,p,m)},m.autoSlideTimer+m.autoSlideTransTimer)},autoSlidePause:function(a){clearTimeout(R[a])},isUnselectable:function(e, c){return""!=c.unselectableSelector&&1==a(e).closest(c.unselectableSelector).size()?!0:!1},slowScrollHorizontalIntervalTimer:function(a,c,b,h,d,k,j,x,r,l,i,u,z,p,m,s,v){return setTimeout(function(){f.slowScrollHorizontalInterval(c,b,h,d,k,j,x,r,l,i,u,z,p,m,s,v)},a)},onSlideCompleteTimer:function(a,c,b,h,d,k){return setTimeout(function(){f.onSlideComplete(c,b,h,d,k)},a)},hideScrollbarIntervalTimer:function(a,c,b,h,d,k,j,x,r,l){return setTimeout(function(){f.hideScrollbarInterval(c,b,h,d,k,j,x,r,l)}, a)},args:function(e,c,b,h){this.settings=e;this.data=a(c).parent().data("iosslider");this.sliderObject=c;this.sliderContainerObject=a(c).parent();this.currentSlideObject=b;this.currentSlideNumber=h;this.currentSliderOffset=-1*f.getSliderOffset(c,"x")},preventDrag:function(a){a.preventDefault()},preventClick:function(a){a.stopImmediatePropagation();return!1},enableClick:function(){return!0}};f.setBrowserInfo();var H={init:function(e,c){var b=a.extend(!0,{elasticPullResistance:0.6,frictionCoefficient:0.92, elasticFrictionCoefficient:0.6,snapFrictionCoefficient:0.92,snapToChildren:!1,startAtSlide:1,scrollbar:!1,scrollbarDrag:!1,scrollbarHide:!0,scrollbarLocation:"top",scrollbarContainer:"",scrollbarOpacity:0.4,scrollbarHeight:"4px",scrollbarBorder:"0",scrollbarMargin:"5px",scrollbarBackground:"#000",scrollbarBorderRadius:"100px",scrollbarShadow:"0 0 0 #000",scrollbarElasticPullResistance:0.9,desktopClickDrag:!1,keyboardControls:!1,responsiveSlideContainer:!0,responsiveSlides:!0,navSlideSelector:"",navPrevSelector:"", navNextSelector:"",autoSlideToggleSelector:"",autoSlide:!1,autoSlideTimer:5E3,autoSlideTransTimer:750,infiniteSlider:!1,stageCSS:{position:"relative",top:"0",left:"0",overflow:"hidden",zIndex:1},sliderCSS:{overflow:"hidden"},unselectableSelector:"",onSliderLoaded:"",onSlideStart:"",onSlideChange:"",onSlideComplete:""},e);void 0==c&&(c=this);return a(c).each(function(){function c(){f.autoSlidePause(d);a(t).css("width","");a(t).css("height","");a(o).css("width","");Y=a(o).children().not("script");a(Y).css("width", "");j=0;w=[];s=a(t).parent().width();g=a(t).outerWidth(!0);b.responsiveSlideContainer&&(g=a(t).outerWidth(!0)>s?s:a(t).outerWidth(!0));a(t).css({position:b.stageCSS.position,top:b.stageCSS.top,left:b.stageCSS.left,overflow:b.stageCSS.overflow,zIndex:b.stageCSS.zIndex,webkitPerspective:1E3,webkitBackfaceVisibility:"hidden",width:g});a(b.unselectableSelector).css({cursor:"default"});b.responsiveSlides&&a(Y).each(function(){var b=a(this).outerWidth(!0),b=b>g?g+-1*(a(this).outerWidth(!0)-a(this).width()): a(this).width();a(this).css({width:b})});a(Y).each(function(b){a(this).css({"float":"left"});w[b]=-1*j;j+=a(this).outerWidth(!0)});for(var Z=0;Z<w.length&&!(w[Z]<=-1*(j-g));Z++)ia=Z;w.splice(ia+1,w.length);w[w.length]=-1*(j-g);j-=g;a(o).css({position:"relative",overflow:b.sliderCSS.overflow,cursor:Q,webkitPerspective:1E3,webkitBackfaceVisibility:"hidden",width:j+g+"px"});v=a(t).parent().outerHeight(!0);y=a(t).height();b.responsiveSlideContainer&&(y=a(t).height()>v?v:a(t).height());a(t).css({height:y}); f.setSliderOffset(o,w[h[d]]);if(0>=j)return a(o).css({cursor:"default"}),!1;!D&&!b.desktopClickDrag&&a(o).css({cursor:"default"});b.scrollbar&&(a("."+l).css({margin:b.scrollbarMargin,overflow:"hidden",display:"none"}),a("."+l+" ."+i).css({border:b.scrollbarBorder}),n=parseInt(a("."+l).css("marginLeft"))+parseInt(a("."+l).css("marginRight")),q=parseInt(a("."+l+" ."+i).css("borderLeftWidth"),10)+parseInt(a("."+l+" ."+i).css("borderRightWidth"),10),p=""!=b.scrollbarContainer?a(b.scrollbarContainer).width(): g,m=(p-n)/C,b.scrollbarHide||(L=b.scrollbarOpacity),a("."+l).css({position:"absolute",left:0,width:p-n+"px",margin:b.scrollbarMargin}),"top"==b.scrollbarLocation?a("."+l).css("top","0"):a("."+l).css("bottom","0"),a("."+l+" ."+i).css({borderRadius:b.scrollbarBorderRadius,background:b.scrollbarBackground,height:b.scrollbarHeight,width:m-q+"px",minWidth:b.scrollbarHeight,border:b.scrollbarBorder,webkitPerspective:1E3,webkitBackfaceVisibility:"hidden",position:"relative",opacity:L,filter:"alpha(opacity:"+ 100*L+")",boxShadow:b.scrollbarShadow}),f.setSliderOffset(a("."+l+" ."+i),Math.floor(-1*w[h[d]]/j*(p-n-m))),a("."+l).css({display:"block"}),u=a("."+l+" ."+i),z=a("."+l));b.scrollbarDrag&&a("."+l+" ."+i).css({cursor:Q});b.infiniteSlider&&(E=(j+g)/3);""!=b.navSlideSelector&&a(b.navSlideSelector).each(function(c){a(this).css({cursor:"pointer"});a(this).unbind("click.iosSliderEvent").bind("click.iosSliderEvent",function(){var a=c;b.infiniteSlider&&(a=c+B);f.changeSlide(a,o,e,j,i,m,g,p,n,q,w,d,B,E,C,b)})}); ""!=b.navPrevSelector&&(a(b.navPrevSelector).css({cursor:"pointer"}),a(b.navPrevSelector).unbind("click.iosSliderEvent").bind("click.iosSliderEvent",function(){(h[d]>0||b.infiniteSlider)&&f.changeSlide(h[d]-1,o,e,j,i,m,g,p,n,q,w,d,B,E,C,b)}));""!=b.navNextSelector&&(a(b.navNextSelector).css({cursor:"pointer"}),a(b.navNextSelector).unbind("click.iosSliderEvent").bind("click.iosSliderEvent",function(){(h[d]<w.length-1||b.infiniteSlider)&&f.changeSlide(h[d]+1,o,e,j,i,m,g,p,n,q,w,d,B,E,C,b)}));b.autoSlide&& ((""!=b.autoSlideToggleSelector&&(a(b.autoSlideToggleSelector).css({cursor:"pointer"}),a(b.autoSlideToggleSelector).unbind("click.iosSliderEvent").bind("click.iosSliderEvent",function(){if(N){f.autoSlide(o,e,j,i,m,g,p,n,q,w,d,B,E,C,b);N=false;a(b.autoSlideToggleSelector).removeClass("on")}else{f.autoSlidePause(d);N=true;a(b.autoSlideToggleSelector).addClass("on")}})),N||f.autoSlide(o,e,j,i,m,g,p,n,q,w,d,B,E,C,b),D)?a(t).bind("touchend.iosSliderEvent",function(){N||f.autoSlide(o,e,j,i,m,g,p,n,q,w, d,B,E,C,b)}):(a(t).bind("mouseenter.iosSliderEvent",function(){f.autoSlidePause(d)}),a(t).bind("mouseleave.iosSliderEvent",function(){N||f.autoSlide(o,e,j,i,m,g,p,n,q,w,d,B,E,C,b)})));a(t).data("iosslider",{obj:ja,settings:b,scrollerNode:o,numberOfSlides:C,sliderNumber:d,childrenOffsets:w,sliderMax:j,scrollbarClass:i,scrollbarWidth:m,scrollbarStageWidth:p,stageWidth:g,scrollMargin:n,scrollBorder:q,infiniteSliderOffset:B,infiniteSliderWidth:E});return!0}V++;var d=V,e=[];da[d]=b;var j,x=[0,0],r=[0, 0],l="scrollbarBlock"+V,i="scrollbar"+V,u,z,p,m,s,v,t=a(this),g,y,n,q,H;h[d]=b.startAtSlide-1;var T=-1,w,L=0,G=0,R=0,o=a(this).children(":first-child"),Y,C=a(o).children().not("script").size(),J=!1,ia=0,fa=!1,$=void 0,E,B=C;W[d]=-1;var N=!1;ea[d]=!1;var aa,ba=!1;X[d]=!1;S[d]=[];b.scrollbarDrag&&(b.scrollbar=!0,b.scrollbarHide=!1);var ja=a(this);if(void 0!=ja.data("iosslider"))return!0;a(this).find("img").bind("dragstart.iosSliderEvent",function(a){a.preventDefault()});b.infiniteSlider&&(b.scrollbar= !1,a(o).children().clone(!0,!0).prependTo(o).clone(!0,!0).appendTo(o),B=C);b.scrollbar&&(""!=b.scrollbarContainer?a(b.scrollbarContainer).append("<div class = '"+l+"'><div class = '"+i+"'></div></div>"):a(o).parent().append("<div class = '"+l+"'><div class = '"+i+"'></div></div>"));if(!c())return!0;b.infiniteSlider&&(h[d]+=B,f.setSliderOffset(o,w[h[d]]));a(this).find("a").bind("mousedown",f.preventDrag);a(this).find("[onclick]").bind("click",f.preventDrag).each(function(){a(this).data("onclick",this.onclick)}); if(""!=b.onSliderLoaded)b.onSliderLoaded(new f.args(b,o,a(o).children(":eq("+h[d]+")"),h[d]%B));W[d]=h[d]%B;if(da[d].responsiveSlides||da[d].responsiveSlideContainer){var K=ka?"orientationchange":"resize";a(window).bind(K+".iosSliderEvent",function(){if(!c())return true})}b.keyboardControls&&a(document).bind("keydown.iosSliderEvent",function(a){if(!O&&!P)a=a.originalEvent;switch(a.keyCode){case 37:(h[d]>0||b.infiniteSlider)&&f.changeSlide(h[d]-1,o,e,j,i,m,g,p,n,q,w,d,B,E,C,b);break;case 39:(h[d]< w.length-1||b.infiniteSlider)&&f.changeSlide(h[d]+1,o,e,j,i,m,g,p,n,q,w,d,B,E,C,b)}});if(D||b.desktopClickDrag){var ga=D?"touchstart.iosSliderEvent":"mousedown.iosSliderEvent",U=a(o),K=a(o),ha=!1;b.scrollbarDrag&&(U=U.add(u),K=K.add(z));a(U).bind(ga,function(c){if(X[d])return true;if(ha=f.isUnselectable(c.target,b))return true;aa=a(this)[0]===a(u)[0]?u:o;if(!O&&!P)c=c.originalEvent;f.autoSlidePause(d);if(D){eventX=c.touches[0].pageX;eventY=c.touches[0].pageY}else{window.getSelection?window.getSelection().empty? window.getSelection().empty():window.getSelection().removeAllRanges&&window.getSelection().removeAllRanges():document.selection&&document.selection.empty();eventX=c.pageX;eventY=c.pageY;fa=true;$=o;a(this).css({cursor:ca})}x=[0,0];r=[0,0];I=0;J=false;for(c=0;c<e.length;c++)clearTimeout(e[c]);c=f.getSliderOffset(o,"x");b.infiniteSlider&&h[d]%C==0&&a(o).children().each(function(b){b%C==0&&b!=h[d]&&a(this).replaceWith(function(){return a(o).children(":eq("+h[d]+")").clone(true)})});if(c>0){f.setSliderOffset(a("."+ i),0);a("."+i).css({width:m-q+"px"})}else if(c<j*-1){c=j*-1;f.setSliderOffset(o,c);f.setSliderOffset(a("."+i),p-n-m);a("."+i).css({width:m-q+"px"})}G=(f.getSliderOffset(this,"x")-eventX)*-1;f.getSliderOffset(this,"y");x[1]=eventX;r[1]=eventY});ga=D?"touchmove.iosSliderEvent":"mousemove.iosSliderEvent";a(K).bind(ga,function(c){if(!O&&!P)c=c.originalEvent;if(ha)return true;var e=0;D||(window.getSelection?window.getSelection().empty?window.getSelection().empty():window.getSelection().removeAllRanges&& window.getSelection().removeAllRanges():document.selection&&document.selection.empty());if(D){eventX=c.touches[0].pageX;eventY=c.touches[0].pageY}else{eventX=c.pageX;eventY=c.pageY;if(!fa)return false}if(b.infiniteSlider){f.getSliderOffset(o,"x")>w[C+1]+g&&(G=G+E);f.getSliderOffset(o,"x")<w[C*2-1]-g&&(G=G-E)}x[0]=x[1];x[1]=eventX;I=(x[1]-x[0])/2;r[0]=r[1];r[1]=eventY;M=(r[1]-r[0])/2;if(!J&&b.onSlideStart!="")b.onSlideStart(new f.args(b,o,a(o).children(":eq("+h[d]+")"),h[d]%B));if((M>3||M<-3)&&I<3&& I>-3&&D&&!J)ba=true;if((I>5||I<-5)&&D){c.preventDefault();J=true}else D||(J=true);if(J&&!ba){var l=f.getSliderOffset(o,"x"),k=a(this)[0]===a(z)[0]?-1*j/(p-n-m):1,A=a(this)[0]===a(z)[0]?b.scrollbarElasticPullResistance:b.elasticPullResistance;if(D){R!=c.touches.length&&(G=l*-1+eventX);R=c.touches.length}l>0&&(e=(G-eventX)*k*A/k);l<j*-1&&(e=(j+(G-eventX)*-1*k)*A*-1/k);f.setSliderOffset(o,(G-eventX-e)*-1*k);if(b.scrollbar){f.showScrollbar(b,i);F=Math.floor((G-eventX-e)/j*(p-n-m)*k);k=m;if(l>=0){k=m- q-F*-1;f.setSliderOffset(a("."+i),0);a("."+i).css({width:k+"px"})}else if(l<=j*-1+1){k=p-n-q-F;f.setSliderOffset(a("."+i),F);a("."+i).css({width:k+"px"})}else f.setSliderOffset(a("."+i),F)}if(D)H=c.touches[0].pageX;T=f.calcActiveOffset(b,(G-eventX-e)*-1,0,w,j,g,B,void 0);if(T!=h[d]&&b.onSlideChange!=""){h[d]=T;b.onSlideChange(new f.args(b,o,a(o).children(":eq("+T+")"),T%B))}}});a(U).bind("touchend.iosSliderEvent",function(a){a=a.originalEvent;if(ha)return true;if(a.touches.length!=0)for(var c=0;c< a.touches.length;c++)a.touches[c].pageX==H&&f.slowScrollHorizontal(o,e,j,i,I,M,m,g,p,n,q,w,d,B,E,C,aa,b);else f.slowScrollHorizontal(o,e,j,i,I,M,m,g,p,n,q,w,d,B,E,C,aa,b);ba=false});if(!D){K=a(window);if(P||O)K=a(document);a(K).bind("mouseup.iosSliderEvent",function(){J?a(o).children(":eq("+h[d]+")").find("a").unbind("click.disableClick").bind("click.disableClick",f.preventClick):a(o).children(":eq("+h[d]+")").find("a").unbind("click.disableClick").bind("click.disableClick",f.enableClick);a(o).children(":eq("+ h[d]+")").find("[onclick]").each(function(){this.onclick=function(b){if(J)return false;a(this).data("onclick").call(this,b||window.event)}});parseFloat(a().jquery)>=1.6&&a(o).children(":eq("+h[d]+")").find("*").each(function(){var b=a(this).data("events");if(b!=void 0&&b.click!=void 0&&b.click[0].namespace!="iosSliderEvent"){if(!J)return false;a(this).one("click.disableClick",f.preventClick);var b=a(this).data("events").click,c=b.pop();b.splice(0,0,c)}});if(!ea[d]){a(U).css({cursor:Q});fa=false;if($== void 0)return false;f.slowScrollHorizontal($,e,j,i,I,M,m,g,p,n,q,w,d,B,E,C,aa,b);$=void 0}ba=false})}}})},destroy:function(e,c){void 0==c&&(c=this);return a(c).each(function(){var b=a(this),c=b.data("iosslider");if(void 0==c)return!1;void 0==e&&(e=!0);f.autoSlidePause(c.sliderNumber);ea[c.sliderNumber]=!0;a(window).unbind(".iosSliderEvent");a(document).unbind(".iosSliderEvent");a(this).unbind(".iosSliderEvent");a(this).children(":first-child").unbind(".iosSliderEvent");a(this).children(":first-child").children().unbind(".iosSliderEvent"); e&&(a(this).attr("style",""),a(this).children(":first-child").attr("style",""),a(this).children(":first-child").children().attr("style",""),a(c.settings.navSlideSelector).attr("style",""),a(c.settings.navPrevSelector).attr("style",""),a(c.settings.navNextSelector).attr("style",""),a(c.settings.autoSlideToggleSelector).attr("style",""),a(c.settings.unselectableSelector).attr("style",""));c.settings.infiniteSlider&&(a(this).children(":first-child").html(),a(this).children(":first-child").html(a(this).children(":first-child").children(":nth-child(-n+"+ c.numberOfSlides+")").clone(!0)));c.settings.scrollbar&&a(".scrollbarBlock"+c.sliderNumber).remove();for(var c=S[c.sliderNumber],d=0;d<c.length;d++)clearTimeout(c[d]);b.removeData("iosslider")})},update:function(e){void 0==e&&(e=this);return a(e).each(function(){var c=a(this).data("iosslider");if(void 0==c)return!1;H.destroy(!1,this);c.settings.startAtSlide=h[c.sliderNumber]+1;H.init(c.settings,this)})},addSlide:function(e,c){return this.each(function(){var b=a(this).data("iosslider");if(void 0== b)return!1;c<=b.numberOfSlides?a(b.scrollerNode).children(":eq("+(c-1)+")").before(e):a(b.scrollerNode).children(":eq("+(c-2)+")").after(e);h[b.sliderNumber]>c-2&&h[b.sliderNumber]++;H.update(this)})},removeSlide:function(e){return this.each(function(){var c=a(this).data("iosslider");if(void 0==c)return!1;a(c.scrollerNode).children(":eq("+(e-1)+")").remove();h[c.sliderNumber]>e-1&&h[c.sliderNumber]--;H.update(this)})},goToSlide:function(e,c){void 0==c&&(c=this);return a(c).each(function(){var b=a(this).data("iosslider"); if(void 0==b)return!1;e=(e-1)%b.numberOfSlides;if(b.settings.infiniteSlider){var c=0.5*b.numberOfSlides,d=e<(c+h[b.sliderNumber])%b.numberOfSlides?1:-1;e+=b.infiniteSliderOffset;0>d&&h[b.sliderNumber]%b.numberOfSlides<c&&(e-=b.infiniteSliderOffset);0<d&&h[b.sliderNumber]%b.numberOfSlides>c&&(e+=b.infiniteSliderOffset)}f.changeSlide(e,a(b.scrollerNode),S[b.sliderNumber],b.sliderMax,b.scrollbarClass,b.scrollbarWidth,b.stageWidth,b.scrollbarStageWidth,b.scrollMargin,b.scrollBorder,b.childrenOffsets, b.sliderNumber,b.infiniteSliderOffset,b.infiniteSliderWidth,b.numberOfSlides,b.settings);h[b.sliderNumber]=e})},lock:function(){return this.each(function(){var e=a(this).data("iosslider");if(void 0==e)return!1;X[e.sliderNumber]=!0})},unlock:function(){return this.each(function(){var e=a(this).data("iosslider");if(void 0==e)return!1;X[e.sliderNumber]=!1})}};a.fn.iosSlider=function(e){if(H[e])return H[e].apply(this,Array.prototype.slice.call(arguments,1));if("object"===typeof e||!e)return H.init.apply(this, arguments);a.error("invalid method call!")}})(jQuery);